Đến nội dung


Hình ảnh
- - - - -

( Yêu Cầu ) Nhờ Sửa Lisp Udt


  • Please log in to reply
20 replies to this topic

#1 Thuc Tap Vien

Thuc Tap Vien

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 14 January 2016 - 09:08 AM

Kính nhờ MOD sửa giúp với ạ : Em thấy Lisp "udt" của bác Tue_NV chỉnh lại sử dụng rất tốt. 

MOD Phạm Thanh Bình đã chỉnh sửa theo bạn ( V77 ) rồi nhưng khi sử dụng nó bị thế này ạ : 

 Command: udt

 Kich thuoc cua chuong trinh tinh theo don vi mm
 Nhap ti le chuyen doi don vi <0.001> :
 Nhap So chu so thap phan <2> :
 Chon doi tuong de tinh dien tich hay Enter de tinh dien tich theo Pick diem
Select objects: 1 found
Select objects:
; error: no function definition: SS2ENT
Command:
* Nhờ MOD chỉnh sửa lại giúp với ạ
- Theo ý kiến của em MOD có thể bổ sung thêm là : Sau khi có kết quả thì Pick điểm để ghi kết quả ra. Kết quả ra có thể là Text hiện hành hoặc theo Dim hiện hành hoặc trong ô giống khi sử dụng lênh TOLERANCE.
Em xin chân thành cảm ơn.!!!
P/S: Em gửi kèm theo file của MOD Bình sửa ạ.http://www.cadviet.c.../149353_udt.lsp

  • -1

#2 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 14 January 2016 - 11:38 AM

 

Kính nhờ MOD sửa giúp với ạ : Em thấy Lisp "udt" của bác Tue_NV chỉnh lại sử dụng rất tốt. 

MOD Phạm Thanh Bình đã chỉnh sửa theo bạn ( V77 ) rồi nhưng khi sử dụng nó bị thế này ạ : 

 Command: udt

 Kich thuoc cua chuong trinh tinh theo don vi mm
 Nhap ti le chuyen doi don vi <0.001> :
 Nhap So chu so thap phan <2> :
 Chon doi tuong de tinh dien tich hay Enter de tinh dien tich theo Pick diem
Select objects: 1 found
Select objects:
; error: no function definition: SS2ENT
Command:
* Nhờ MOD chỉnh sửa lại giúp với ạ
- Theo ý kiến của em MOD có thể bổ sung thêm là : Sau khi có kết quả thì Pick điểm để ghi kết quả ra. Kết quả ra có thể là Text hiện hành hoặc theo Dim hiện hành hoặc trong ô giống khi sử dụng lênh TOLERANCE.
Em xin chân thành cảm ơn.!!!
P/S: Em gửi kèm theo file của MOD Bình sửa ạ.http://www.cadviet.c.../149353_udt.lsp

 

Hề hề hề,

Bạn phải post cả cái lisp và bản vẽ chạy bị lỗi lên mới có thể biết mà sửa chứ.


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3 anti lazy

anti lazy

    biết lệnh erase

  • Members
  • PipPipPip
  • 107 Bài viết
Điểm đánh giá: 27 (tàm tạm)

Đã gửi 14 January 2016 - 02:13 PM

Lisp bị dồn hàng. Có rất nhiều lisp ở cadviet bị điều này.

Hãy học lisp chừng 1-3 ngày thì có thể thêm xuống hàng ở các chỗ cần thiết


  • 0

#4 Thuc Tap Vien

Thuc Tap Vien

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 14 January 2016 - 03:03 PM

@phamthanhbinh :

Em dùng W 8.1; CAD 2010.

File của em đây ah !

Cảm ơn bác nhiều !

http://www.cadviet.c...st_lenh_udt.dwg

http://www.cadviet.c...49353_udt_1.lsp


  • 0

#5 Thuc Tap Vien

Thuc Tap Vien

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 15 January 2016 - 08:34 AM

Nhờ MOD sửa giúp em với ạ.

Em cảm ơn nhiều nhiều!!!


  • 0

#6 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 15 January 2016 - 09:01 AM

Lisp trong link của bạn gửi :

(defun c:udt (/ ss tong ham tmp tt hstl oldim toe frome cur dt)
(prompt "\n Kich thuoc cua chuong trinh tinh theo don vi mm ")
(if (not hstlo) (setq hstlo 0.001))
(setq hstl (getreal (strcat "\n Nhap ti le chuyen doi don vi <" (rtos hstlo 2 3) "> :")))
(if (not hstl) (setq hstl hstlo) (setq hstlo hstl))
(if (not tpo) (setq tpo 2))
(setq tp (getint (strcat "\n Nhap So chu so thap phan <" (itoa tpo) "> :")))
(if (not tp) (setq tp tpo) (setq tpo tp))
(setq oldim (getvar "Dimzin"))
(setvar "Dimzin" 0)
(prompt "\n Chon doi tuong de tinh dien tich hay Enter de tinh dien tich theo Pick diem ")
(setq
ss (ssget '((-4 . "<OR")(0 . "LWPOLYLINE")(0 . "REGION")(0 . "CIRCLE")(0 . "ARC")(-4 . "OR>")))
tong 0.0
ham (lambda (x) (command ".area" "o" x) (setq tong (+ tong (getvar "area"))))
tmp (mapcar 'ham (ss2ent ss))
)

(if (not ss)
(progn
(setq tong 0.0 ss (ssadd))
(while (setq p (getpoint "\n Pick vao vung tinh dien tich :"))
(setq frome (entlast))
(command ".boundary" p "")
(setq toe (entlast))

(setq cur frome)
(while (not (eq cur toe))
(setq
cur (entnext cur)
ss (ssadd cur ss))
(command "area" "S" "O" ss "" "")
(setq dt (getvar "area"))
(setq tong (+ tong dt))
)
(command "area" "A" "O" "L" "" "")
(setq dt (getvar "area"))
(setq tong (+ tong (* dt 2)))
(sssetfirst ss ss)
)
(command "erase" ss "")
))
(if (not (setq pt (getpoint "\n Chon diem dat text")))
(progn
(setq tt (entget (car (entsel "\nChon text ket qua: ")))
tong (vl-string-right-trim "." (vl-string-right-trim "0" (rtos tong)))
)
(entmod (subst (cons 1 (rtos (* (atof tong) hstl hstl) 2 tp)) (assoc 1 tt) tt))
)
(progn
(setq ht (getreal "\n Nhap chieu cao text"))
(command "text" pt ht 0 (rtos (* (atof tong) hstl hstl) 2 tp) "")
)
)

(setvar "Dimzin" oldim)


(princ)
)
;
(defun ss2ent(ss / sodt index lstent)
(setq
sodt (if ss (sslength ss) 0)
index 0
)
(repeat sodt
(setq ent (ssname ss index)
index (1+ index)
lstent (cons ent lstent)
)
)
(reverse lstent)
)
(princ "\nUpdate Area - free lisp from cadviet.com")
(princ "\nUse UDT command to start!")
(vl-load-com)

  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#7 Thuc Tap Vien

Thuc Tap Vien

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 15 January 2016 - 09:34 AM

Em cảm ơn nhiều ạh


  • 0

#8 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 15 January 2016 - 11:58 AM

Nhờ MOD sửa giúp em với ạ.

Em cảm ơn nhiều nhiều!!!

Hề hề hề,

1/- Lisp bác ketxu đã chỉnh 

2/- Lisp sau khi chỉnh đã chạy tốt, không rõ bạn cần chỉnh sửa gì thêm???


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#9 Thuc Tap Vien

Thuc Tap Vien

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 15 January 2016 - 02:27 PM

Hề hề hề,

1/- Lisp bác ketxu đã chỉnh 

2/- Lisp sau khi chỉnh đã chạy tốt, không rõ bạn cần chỉnh sửa gì thêm???

Dạ. Em đã chạy ở cơ quan với Win XP, cad 2007. thì có một vấn đề là :

1- yêu cầu nhập chiều cao text.

2- Xong lại yêu cầu nhập text và không ra kết quả đo diện tích.

* Tối về em chạy lại ở nhà W 8.1 và CAD 2010 và báo cáo lại các bác ạh.

Em chân thành cảm ơn bác BINH và bác KetXu nhiêù nhiều ạh!!!!


  • 0

#10 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 15 January 2016 - 02:31 PM

Chắc lại là vấn đề với command text khi text style có height text = 0 hay không đây mà ^^


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#11 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 665 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 15 January 2016 - 03:13 PM

Tặng bạn lisp này để sử dụng cho tiện (diện tích và chiều dài):

http://www.cadviet.c..._arealength.rar

Gồm các lệnh:

+ Diện tích: S2A; P2A; A2F; AFR.

+ Chiều dài: TCD; L2F.

+ Trả lời lisp hay không: TLDIA.

*2F là có gắn Field.


  • 2

#12 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 15 January 2016 - 03:32 PM

Tks bạn đã chia sẻ. Mình rất thích những người biết xào nấu nguyên liệu của mọi người để làm nên món ăn phù hợp với mình. Bravo ^^


  • 2

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#13 Thuc Tap Vien

Thuc Tap Vien

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 15 January 2016 - 03:36 PM

Tặng bạn lisp này để sử dụng cho tiện (diện tích và chiều dài):

http://www.cadviet.c..._arealength.rar

Gồm các lệnh:

+ Diện tích: S2A; P2A; A2F; AFR.

+ Chiều dài: TCD; L2F.

+ Trả lời lisp hay không: TLDIA.

*2F là có gắn Field.n  ơCảm

 Cảm ơn bạn !!!


  • 0

#14 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 665 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 15 January 2016 - 03:47 PM

Thank bác Ketxu khích lệ ...!


  • 0

#15 Thuc Tap Vien

Thuc Tap Vien

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 15 January 2016 - 09:22 PM

@quocmanh04tt

Cảm ơn bạn. Đúng cái mình cần.

 

@ketxu: Em đã thử lại với W 8.1 và CAD 2010 vẫn bị như trên bác ah.

1- yêu cầu nhập chiều cao text.

2- Xong lại yêu cầu nhập text và không ra kết quả đo diện tích.

 * Nếu được bác sửa lại giống lênh A2F của quocmanh04tt ạ.

Cảm ơn các bác. Cảm ơn CADVIET!!!!!

http://www.cadviet.c...53_21_htakt.dwghttp://www.cadviet.c...49353_udt_2.lsp


  • 0

#16 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 665 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 15 January 2016 - 09:47 PM

+ Lisp trên giải quyết các vấn đề về Area và Length rồi mà ...

+ Nếu cần sửa, bạn tìm dòng này: (command "text" pt ht 0 (rtos (* (atof tong) hstl hstl) 2 tp) "")  ở gần cuối lisp

thay bằng: (command "text" pt ht 0 (rtos (* tong hstl hstl) 2 tp)) .

​P/s: Lisp Udt nó hỏi mình nhiều quá, mà lần nào nó cũng hỏi, hỏi đi hỏi lại mấy câu đó ... :D


  • 1

#17 Thuc Tap Vien

Thuc Tap Vien

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 15 January 2016 - 10:01 PM

Cảm ơn bạn!

Được voi đòi thêm tý tiên. Nếu có bạn cho mình xin file .lsp với.

Để mình chỉnh các lệnh cho thuận tiện.

Cảm ơn bạn nhiều.  :)


  • 0

#18 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 665 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 15 January 2016 - 10:08 PM

Bạn cần chỉnh lệnh gì? Chỉnh như thế nào?


  • 0

#19 Thuc Tap Vien

Thuc Tap Vien

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 15 January 2016 - 10:32 PM

 Bạn chỉnh lại giúp : 

A2F thành SD

L2F thành TL

Cảm ơn bạn !


  • 0

#20 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 665 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 15 January 2016 - 10:38 PM

Của bạn đây:

http://www.cadviet.c...realength_1.rar


  • 0